## horizon-eda 0.20180331

=== Makefile ===
PKGCONFIG=pkg-config

all: horizon-imp horizon-pool horizon-prj horizon-pool-update-parametric horizon-prj-mgr horizon-pool-mgr

SRC_COMMON = \
	src/util/uuid.cpp \
	src/util/uuid_path.cpp\
	src/util/sqlite.cpp\
	src/util/str_util.cpp\
	src/pool/unit.cpp \
	src/pool/symbol.cpp \
	src/pool/part.cpp\
	src/common/common.cpp \
	src/common/junction.cpp \
	src/common/line.cpp \
	src/common/arc.cpp \
	src/common/layer_provider.cpp \
	src/pool/gate.cpp\
	src/block/net.cpp\
	src/block/bus.cpp\
	src/block/block.cpp\
	src/pool/entity.cpp\
	src/block/component.cpp\
	src/schematic/schematic.cpp\
	src/schematic/sheet.cpp\
	src/common/text.cpp\
	src/schematic/line_net.cpp\
	src/schematic/net_label.cpp\
	src/schematic/bus_label.cpp\
	src/schematic/bus_ripper.cpp\
	src/schematic/schematic_symbol.cpp\
	src/schematic/power_symbol.cpp\
	src/schematic/frame.cpp\
	src/schematic/schematic_rules.cpp\
	src/schematic/rule_single_pin_net.cpp\
	src/pool/padstack.cpp\
	src/common/polygon.cpp\
	src/common/hole.cpp\
	src/common/shape.cpp\
	src/common/patch_type_names.cpp\
	src/pool/package.cpp\
	src/package/pad.cpp\
	src/package/package_rules.cpp\
	src/package/rule_package_checks.cpp\
	src/board/board.cpp\
	src/board/board_package.cpp\
	src/board/track.cpp\
	src/board/via_padstack_provider.cpp\
	src/board/via.cpp\
	src/board/plane.cpp\
	src/board/board_rules.cpp\
	src/board/rule_hole_size.cpp\
	src/board/rule_clearance_silk_exp_copper.cpp\
	src/board/rule_track_width.cpp\
	src/board/rule_clearance_copper.cpp\
	src/board/rule_parameters.cpp\
	src/board/rule_via.cpp\
	src/board/rule_clearance_copper_other.cpp\
	src/board/rule_plane.cpp\
	src/board/rule_diffpair.cpp\
	src/board/airwires.cpp\
	src/board/fab_output_settings.cpp\
	src/board/board_hole.cpp\
	src/pool/pool.cpp \
	src/util/placement.cpp\
	src/util/util.cpp\
	src/common/object_descr.cpp\
	src/block/net_class.cpp\
	src/project/project.cpp\
	src/resources.cpp\
	src/gitversion.cpp\
	src/rules/rules.cpp\
	src/rules/rule.cpp\
	src/rules/rule_descr.cpp\
	src/rules/rule_match.cpp\
	src/parameter/program.cpp\
	src/parameter/set.cpp\
	3rd_party/clipper/clipper.cpp\
	src/common/dimension.cpp\
	src/logger/logger.cpp\
	
ifeq ($(OS),Windows_NT)
    SRC_COMMON += src/util/uuid_win32.cpp
endif


SRC_CANVAS = \
	src/canvas/canvas.cpp \
	src/canvas/canvas_gl.cpp \
	src/canvas/canvas_cairo.cpp \
	src/canvas/grid.cpp \
	src/canvas/gl_util.cpp \
	src/canvas/pan.cpp \
	src/canvas/render.cpp \
	src/canvas/draw.cpp \
	src/canvas/text.cpp \
	src/canvas/hershey_fonts.cpp \
	src/canvas/drag_selection.cpp \
	src/canvas/selectables.cpp \
	src/canvas/hover_prelight.cpp\
	src/canvas/triangle.cpp\
	src/canvas/image.cpp\
	src/canvas/selection_filter.cpp\
	3rd_party/polypartition/polypartition.cpp\
	src/canvas/marker.cpp\
	src/canvas/annotation.cpp \
	3rd_party/poly2tri/common/shapes.cpp\
	3rd_party/poly2tri/sweep/cdt.cpp\
	3rd_party/poly2tri/sweep/sweep.cpp\
	3rd_party/poly2tri/sweep/sweep_context.cpp\
	3rd_party/poly2tri/sweep/advancing_front.cpp\

SRC_IMP = \
	src/imp/imp_main.cpp \
	src/imp/main_window.cpp \
	src/imp/imp.cpp \
	src/imp/imp_layer.cpp\
	src/imp/imp_symbol.cpp\
	src/imp/imp_schematic.cpp\
	src/imp/imp_padstack.cpp\
	src/imp/imp_package.cpp\
	src/imp/imp_board.cpp\
	src/imp/tool_popover.cpp\
	src/imp/selection_filter_dialog.cpp\
	src/imp/action.cpp\
	src/imp/action_catalog.cpp\
	$(SRC_CANVAS) \
	src/core/core.cpp \
	src/core/core_properties.cpp\
	src/core/tool_move.cpp\
	src/core/tool_place_junction.cpp\
	src/core/tool_draw_line.cpp\
	src/core/tool_delete.cpp\
	src/core/tool_draw_arc.cpp\
	src/core/tool_map_pin.cpp\
	src/core/tool_map_symbol.cpp\
	src/core/tool_draw_line_net.cpp\
	src/core/tool_place_text.cpp\
	src/core/tool_place_net_label.cpp\
	src/core/tool_disconnect.cpp\
	src/core/tool_bend_line_net.cpp\
	src/core/tool_move_net_segment.cpp\
	src/core/tool_place_power_symbol.cpp\
	src/core/tool_edit_symbol_pin_names.cpp\
	src/core/tool_place_bus_label.cpp\
	src/core/tool_place_bus_ripper.cpp\
	src/core/tool_manage_buses.cpp\
	src/core/tool_draw_polygon.cpp\
	src/core/tool_enter_datum.cpp\
	src/core/tool_place_hole.cpp\
	src/core/tool_place_pad.cpp\
	src/core/tool_paste.cpp\
	src/core/tool_assign_part.cpp\
	src/core/tool_map_package.cpp\
	src/core/tool_draw_track.cpp\
	src/core/tool_place_via.cpp\
	src/core/tool_route_track.cpp\
	src/core/tool_drag_keep_slope.cpp\
	src/core/tool_add_part.cpp\
	src/core/tool_smash.cpp\
	src/core/tool_place_shape.cpp\
	src/core/tool_edit_shape.cpp\
	src/core/tool_import_dxf.cpp\
	src/core/tool_edit_parameter_program.cpp\
	src/core/tool_edit_pad_parameter_set.cpp\
	src/core/tool_draw_polygon_rectangle.cpp\
	src/core/tool_draw_line_rectangle.cpp\
	src/core/tool_edit_line_rectangle.cpp\
	src/core/tool_helper_map_symbol.cpp\
	src/core/tool_helper_move.cpp\
	src/core/tool_helper_merge.cpp\
	src/core/tool_edit_via.cpp\
	src/core/tool_rotate_arbitrary.cpp\
	src/core/tool_edit_plane.cpp\
	src/core/tool_update_all_planes.cpp\
	src/core/tool_draw_dimension.cpp\
	src/core/tool_set_diffpair.cpp\
	src/core/tool_select_more.cpp\
	src/core/tool_set_via_net.cpp\
	src/core/tool_lock.cpp\
	src/core/tool_add_vertex.cpp\
	src/core/tool_place_board_hole.cpp\
	src/core/tool_edit_board_hole.cpp\
	src/core/tool_generate_courtyard.cpp\
	src/core/cores.cpp\
	src/core/clipboard.cpp\
	src/core/buffer.cpp\
	src/dialogs/map_pin.cpp\
	src/dialogs/map_symbol.cpp\
	src/dialogs/map_package.cpp\
	src/dialogs/ask_net_merge.cpp\
	src/dialogs/ask_delete_component.cpp\
	src/dialogs/select_net.cpp\
	src/dialogs/symbol_pin_names.cpp\
	src/dialogs/manage_buses.cpp\
	src/dialogs/ask_datum.cpp\
	src/dialogs/ask_datum_string.cpp\
	src/dialogs/select_via_padstack.cpp\
	src/dialogs/dialogs.cpp\
	src/dialogs/annotate.cpp\
	src/dialogs/edit_shape.cpp\
	src/dialogs/manage_net_classes.cpp\
	src/dialogs/manage_power_nets.cpp\
	src/dialogs/edit_parameter_program.cpp\
	src/dialogs/edit_parameter_set.cpp\
	src/dialogs/edit_pad_parameter_set.cpp\
	src/dialogs/edit_via.cpp\
	src/dialogs/pool_browser_dialog.cpp\
	src/dialogs/schematic_properties.cpp\
	src/dialogs/edit_plane.cpp\
	src/dialogs/edit_stackup.cpp\
	src/dialogs/edit_board_hole.cpp\
	src/util/sort_controller.cpp\
	src/core/core_symbol.cpp\
	src/core/core_schematic.cpp\
	src/core/core_padstack.cpp\
	src/core/core_package.cpp\
	src/core/core_board.cpp\
	src/property_panels/property_panels.cpp\
	src/property_panels/property_panel.cpp\
	src/property_panels/property_editor.cpp\
	src/widgets/warnings_box.cpp\
	src/widgets/net_selector.cpp\
	src/widgets/sheet_box.cpp \
	src/widgets/net_button.cpp\
	src/widgets/layer_box.cpp\
	src/widgets/spin_button_dim.cpp\
	src/widgets/chooser_buttons.cpp\
	src/widgets/cell_renderer_layer_display.cpp\
	src/widgets/net_class_button.cpp\
	src/widgets/parameter_set_editor.cpp\
	src/widgets/pool_browser.cpp\
	src/export_pdf/export_pdf.cpp\
	src/imp/keyseq_dialog.cpp\
	src/canvas/canvas_patch.cpp\
	src/export_gerber/gerber_writer.cpp\
	src/export_gerber/excellon_writer.cpp\
	src/export_gerber/gerber_export.cpp\
	src/export_gerber/canvas_gerber.cpp\
	src/export_gerber/hash.cpp\
	src/imp/footprint_generator/footprint_generator_window.cpp\
	src/imp/footprint_generator/footprint_generator_base.cpp\
	src/imp/footprint_generator/footprint_generator_dual.cpp\
	src/imp/footprint_generator/footprint_generator_single.cpp\
	src/imp/footprint_generator/footprint_generator_quad.cpp\
	src/imp/footprint_generator/footprint_generator_grid.cpp\
	src/imp/footprint_generator/svg_overlay.cpp\
	src/imp/imp_interface.cpp\
	src/imp/parameter_window.cpp\
	src/widgets/pool_browser_part.cpp\
	src/widgets/pool_browser_entity.cpp\
	src/widgets/pool_browser_padstack.cpp\
	src/widgets/pool_browser_package.cpp\
	src/widgets/pool_browser_padstack.cpp\
	src/widgets/pool_browser_unit.cpp\
	src/widgets/pool_browser_symbol.cpp\
	src/widgets/plane_editor.cpp\
	3rd_party/dxflib/dl_dxf.cpp\
	3rd_party/dxflib/dl_writer_ascii.cpp\
	src/import_dxf/dxf_importer.cpp\
	src/imp/rules/rules_window.cpp\
	src/imp/rules/rule_editor.cpp\
	src/imp/rules/rule_match_editor.cpp\
	src/imp/rules/rule_editor_hole_size.cpp\
	src/imp/rules/rule_editor_clearance_silk_exp_copper.cpp\
	src/imp/rules/rule_editor_track_width.cpp\
	src/imp/rules/rule_editor_clearance_copper.cpp\
	src/imp/rules/rule_editor_single_pin_net.cpp\
	src/imp/rules/rule_editor_via.cpp\
	src/imp/rules/rule_editor_clearance_copper_other.cpp\
	src/imp/rules/rule_editor_plane.cpp\
	src/imp/rules/rule_editor_diffpair.cpp\
	src/imp/rules/rule_editor_package_checks.cpp\
	src/rules/rules_with_core.cpp\
	src/rules/cache.cpp\
	src/board/board_rules_check.cpp\
	src/schematic/schematic_rules_check.cpp\
	src/package/package_rules_check.cpp\
	src/board/plane_update.cpp\
	src/imp/symbol_preview/symbol_preview_window.cpp\
	src/imp/symbol_preview/preview_box.cpp\
	src/util/gtk_util.cpp\
	src/imp/fab_output_window.cpp\
	src/imp/3d_view.cpp\
	src/imp/step_export_window.cpp\
	src/canvas3d/canvas3d.cpp\
	src/canvas3d/cover.cpp\
	src/canvas3d/wall.cpp\
	src/canvas3d/face.cpp\
	src/canvas3d/background.cpp\
	src/imp/header_button.cpp\
	src/imp/preferences.cpp\
	src/imp/preferences_window.cpp\
	src/imp/preferences_window_keys.cpp\
	src/pool/pool_cached.cpp\
	src/canvas/canvas_pads.cpp\
	src/util/window_state_store.cpp\
	src/widgets/board_display_options.cpp\
	src/widgets/log_window.cpp\
	src/widgets/log_view.cpp\

SRC_ROUTER = \
	3rd_party/router/router/pns_router.cpp \
	3rd_party/router/router/pns_item.cpp \
	3rd_party/router/router/pns_node.cpp \
	3rd_party/router/router/pns_solid.cpp \
	3rd_party/router/router/pns_optimizer.cpp \
	3rd_party/router/router/pns_topology.cpp \
	3rd_party/router/router/pns_walkaround.cpp \
	3rd_party/router/router/pns_utils.cpp \
	3rd_party/router/router/pns_algo_base.cpp \
	3rd_party/router/router/pns_diff_pair_placer.cpp \
	3rd_party/router/router/pns_diff_pair.cpp \
	3rd_party/router/router/pns_dp_meander_placer.cpp\
	3rd_party/router/router/pns_dragger.cpp\
	3rd_party/router/router/pns_itemset.cpp \
	3rd_party/router/router/pns_line_placer.cpp \
	3rd_party/router/router/pns_line.cpp \
	3rd_party/router/router/pns_via.cpp \
	3rd_party/router/router/pns_logger.cpp \
	3rd_party/router/router/pns_meander_placer_base.cpp\
	3rd_party/router/router/pns_meander_placer.cpp\
	3rd_party/router/router/pns_meander_skew_placer.cpp\
	3rd_party/router/router/pns_meander.cpp\
	3rd_party/router/router/pns_shove.cpp \
	3rd_party/router/router/time_limit.cpp \
	3rd_party/router/router/pns_routing_settings.cpp \
	3rd_party/router/router/pns_sizes_settings.cpp \
	3rd_party/router/common/geometry/shape_line_chain.cpp\
	3rd_party/router/common/geometry/shape.cpp \
	3rd_party/router/common/geometry/shape_collisions.cpp\
	3rd_party/router/common/geometry/seg.cpp\
	3rd_party/router/common/math/math_util.cpp\
	3rd_party/router/wx_compat.cpp\
	src/router/pns_horizon_iface.cpp\
	src/core/tool_route_track_interactive.cpp\


SRC_POOL_UTIL = \
	src/pool-util/util_main.cpp\
	src/pool-update/pool-update.cpp\
	src/pool-update/graph.cpp

SRC_POOL_UPDATE_PARA = \
	src/pool-update-parametric/pool-update-parametric.cpp\
	
SRC_PRJ_UTIL = \
	src/prj-util/util_main.cpp

SRC_PRJ_MGR = \
	src/prj-mgr/prj-mgr-main.cpp\
	src/prj-mgr/prj-mgr-app.cpp\
	src/prj-mgr/prj-mgr-app_win.cpp\
	src/prj-mgr/prj-mgr-prefs.cpp\
	src/prj-mgr/pool_cache_window.cpp\
	src/util/editor_process.cpp\
	src/prj-mgr/part_browser/part_browser_window.cpp\
	src/widgets/pool_browser_part.cpp\
	src/util/sort_controller.cpp\
	src/widgets/pool_browser.cpp\
	src/pool-update/pool-update.cpp\
	src/pool-update/graph.cpp\
	src/widgets/cell_renderer_layer_display.cpp\
	src/pool/pool_cached.cpp\
	src/util/gtk_util.cpp\
	src/util/window_state_store.cpp\
	src/widgets/recent_item_box.cpp\
	src/util/recent_util.cpp\
	src/widgets/part_preview.cpp\
	src/widgets/entity_preview.cpp\
	src/widgets/preview_canvas.cpp\
	src/widgets/preview_base.cpp\
	$(SRC_CANVAS)\

SRC_POOL_MGR = \
	src/pool-mgr/pool-mgr-main.cpp\
	src/pool-mgr/pool-mgr-app.cpp\

=== debian/changelog ===
horizon-eda (0.20180331-3build2) disco; urgency=high

  * No change rebuild against yaml-cpp abi break.

 -- Julian Andres Klode <juliank@ubuntu.com>  Wed, 21 Nov 2018 18:05:17 +0100

horizon-eda (0.20180331-3build1) cosmic; urgency=medium

  * No-change rebuild against the latest libgit2

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 31 May 2018 14:22:23 +0000

horizon-eda (0.20180331-3) unstable; urgency=medium

  * Use system dxflib
  * update git version reported

 -- Wookey <wookey@debian.org>  Tue, 03 Apr 2018 01:05:43 +0100

horizon-eda (0.20180331-2) unstable; urgency=medium

  * Update copyright to include hershey_fonts (Closes: #894552)
  * Support dpkg-buildflags hardening flags
  * Correct manpage install

 -- Wookey <wookey@debian.org>  Sun, 01 Apr 2018 15:07:29 +0100

horizon-eda (0.20180331-1) unstable; urgency=medium

  * Initial release (Closes: #889970)

 -- Wookey <wookey@debian.org>  Mon, 26 Feb 2018 23:13:19 +0000

=== debian/control ===
Source: horizon-eda
Section: electronics
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Wookey <wookey@debian.org>
Build-Depends: debhelper (>=10), doxygen,
 libyaml-cpp-dev, libsqlite3-dev, librsvg2-dev, libcairomm-1.0-dev,
 libepoxy-dev, libgtkmm-3.0-dev, uuid-dev, libboost-dev, libzmq5,
 libzmq3-dev, libglm-dev, libgit2-dev, libcurl4-gnutls-dev, 
 liboce-ocaf-dev, libdxflib-dev
Standards-Version: 4.1.0
Homepage: https://github.com/carrotIndustries/horizon
#Vcs-Git: git://anonscm.debian.org/collab-maint/horizon.git
#Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/horizon.git

Package: horizon-eda
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: EDA layout and schematic application
 Complete design flow from schematic entry to gerber export
 Sane library management
 Unified editor for everything from symbol to board
 Netlist-aware schematic editor
 KiCad's awesome interactive router
 Lag- and glitch-free rendering
 Rule-based DRC
 Undo/redo
 Copy/paste for some objects
 Builds and runs on Linux and Windows

=== debian/rules ===
#!/usr/bin/make -f
# output every command that modifies files on the build system.
export DH_VERBOSE = 1


# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


%:
	dh $@ 


override_dh_auto_build:
	doxygen doxygen.config
	dh_auto_build

override_dh_auto_install:
	dh_install
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	# should be $(PACKAGE)/$(PREFIX)
	strip $(CURDIR)/debian/horizon-eda/usr/bin/*
endif

override_dh_clean:
	-rm -r docs
	dh_clean

#generate a version file from the git repo.
#release-time, not build time.
version:
	echo "const char *gitversion = \"$(shell git log -1 --pretty="format:%h %ci %s")\";" > $@

.phony: version

## horizon-eda 0.20181108

=== Makefile ===
--- 
+++ 
@@ -1,12 +1,13 @@
 PKGCONFIG=pkg-config
 
-all: horizon-imp horizon-pool horizon-prj horizon-pool-update-parametric horizon-prj-mgr horizon-pool-mgr
+all: horizon-imp horizon-pool horizon-prj horizon-pool-update-parametric horizon-eda
 
 SRC_COMMON = \
 	src/util/uuid.cpp \
 	src/util/uuid_path.cpp\
 	src/util/sqlite.cpp\
 	src/util/str_util.cpp\
+	src/pool/pool_manager.cpp \
 	src/pool/unit.cpp \
 	src/pool/symbol.cpp \
 	src/pool/part.cpp\
@@ -21,6 +22,8 @@
 	src/block/block.cpp\
 	src/pool/entity.cpp\
 	src/block/component.cpp\
+	src/block/bom.cpp\
+	src/block/bom_export_settings.cpp\
 	src/schematic/schematic.cpp\
 	src/schematic/sheet.cpp\
 	src/common/text.cpp\
@@ -30,7 +33,6 @@
 	src/schematic/bus_ripper.cpp\
 	src/schematic/schematic_symbol.cpp\
 	src/schematic/power_symbol.cpp\
-	src/schematic/frame.cpp\
 	src/schematic/schematic_rules.cpp\
 	src/schematic/rule_single_pin_net.cpp\
 	src/pool/padstack.cpp\
@@ -58,12 +60,15 @@
 	src/board/rule_clearance_copper_other.cpp\
 	src/board/rule_plane.cpp\
 	src/board/rule_diffpair.cpp\
+	src/board/rule_preflight_checks.cpp\
+	src/board/rule_clearance_copper_keepout.cpp\
 	src/board/airwires.cpp\
 	src/board/fab_output_settings.cpp\
 	src/board/board_hole.cpp\
 	src/pool/pool.cpp \
 	src/util/placement.cpp\
 	src/util/util.cpp\
+	src/util/csv.cpp\
 	src/common/object_descr.cpp\
 	src/block/net_class.cpp\
 	src/project/project.cpp\
@@ -73,12 +78,17 @@
 	src/rules/rule.cpp\
 	src/rules/rule_descr.cpp\
 	src/rules/rule_match.cpp\
+	src/rules/rule_match_keepout.cpp\
 	src/parameter/program.cpp\
 	src/parameter/set.cpp\
 	3rd_party/clipper/clipper.cpp\
 	src/common/dimension.cpp\
 	src/logger/logger.cpp\
-	
+	src/parameter/program_polygon.cpp\
+	src/frame/frame.cpp\
+	src/common/keepout.cpp\
+	src/board/board_layers.cpp\
+
 ifeq ($(OS),Windows_NT)
     SRC_COMMON += src/util/uuid_win32.cpp
 endif
@@ -104,11 +114,16 @@
 	3rd_party/polypartition/polypartition.cpp\
 	src/canvas/marker.cpp\
 	src/canvas/annotation.cpp \
+	src/canvas/fragment_cache.cpp \
+	src/util/text_data.cpp \
 	3rd_party/poly2tri/common/shapes.cpp\
 	3rd_party/poly2tri/sweep/cdt.cpp\
 	3rd_party/poly2tri/sweep/sweep.cpp\
 	3rd_party/poly2tri/sweep/sweep_context.cpp\
 	3rd_party/poly2tri/sweep/advancing_front.cpp\
+	src/util/msd.cpp\
+	src/util/msd_animator.cpp\
+	src/canvas/appearance.cpp\
 
 SRC_IMP = \
 	src/imp/imp_main.cpp \
@@ -120,6 +135,7 @@
 	src/imp/imp_padstack.cpp\
 	src/imp/imp_package.cpp\
 	src/imp/imp_board.cpp\
+	src/imp/imp_frame.cpp\
 	src/imp/tool_popover.cpp\
 	src/imp/selection_filter_dialog.cpp\
 	src/imp/action.cpp\
@@ -182,6 +198,16 @@
 	src/core/tool_place_board_hole.cpp\
 	src/core/tool_edit_board_hole.cpp\
 	src/core/tool_generate_courtyard.cpp\
+	src/core/tool_set_group.cpp\
+	src/core/tool_copy_placement.cpp\
+	src/core/tool_copy_tracks.cpp\
+	src/core/tool_swap_nets.cpp\
+	src/core/tool_line_loop_to_polygon.cpp\
+	src/core/tool_change_unit.cpp\
+	src/core/tool_helper_line_width_setting.cpp\
+	src/core/tool_set_nc_all.cpp\
+	src/core/tool_set_nc.cpp\
+	src/core/tool_add_keepout.cpp\
 	src/core/cores.cpp\
 	src/core/clipboard.cpp\
 	src/core/buffer.cpp\
@@ -210,12 +236,15 @@
 	src/dialogs/edit_plane.cpp\
 	src/dialogs/edit_stackup.cpp\
 	src/dialogs/edit_board_hole.cpp\
+	src/dialogs/edit_frame.cpp\
+	src/dialogs/edit_keepout.cpp\
 	src/util/sort_controller.cpp\
 	src/core/core_symbol.cpp\
 	src/core/core_schematic.cpp\
 	src/core/core_padstack.cpp\
 	src/core/core_package.cpp\
 	src/core/core_board.cpp\
+	src/core/core_frame.cpp\
 	src/property_panels/property_panels.cpp\
 	src/property_panels/property_panel.cpp\
 	src/property_panels/property_editor.cpp\
@@ -226,10 +255,12 @@
 	src/widgets/layer_box.cpp\
 	src/widgets/spin_button_dim.cpp\
 	src/widgets/chooser_buttons.cpp\
-	src/widgets/cell_renderer_layer_display.cpp\
+	src/widgets/cell_renderer_color_box.cpp\
 	src/widgets/net_class_button.cpp\
 	src/widgets/parameter_set_editor.cpp\
 	src/widgets/pool_browser.cpp\
+	src/widgets/component_selector.cpp\
+	src/widgets/component_button.cpp\
 	src/export_pdf/export_pdf.cpp\
 	src/imp/keyseq_dialog.cpp\
 	src/canvas/canvas_patch.cpp\
@@ -254,13 +285,16 @@
 	src/widgets/pool_browser_padstack.cpp\
 	src/widgets/pool_browser_unit.cpp\
 	src/widgets/pool_browser_symbol.cpp\
+	src/widgets/pool_browser_frame.cpp\
 	src/widgets/plane_editor.cpp\
+	src/widgets/title_block_values_editor.cpp\
 	3rd_party/dxflib/dl_dxf.cpp\
 	3rd_party/dxflib/dl_writer_ascii.cpp\
 	src/import_dxf/dxf_importer.cpp\
 	src/imp/rules/rules_window.cpp\
 	src/imp/rules/rule_editor.cpp\
 	src/imp/rules/rule_match_editor.cpp\
+	src/imp/rules/rule_match_keepout_editor.cpp\
 	src/imp/rules/rule_editor_hole_size.cpp\
 	src/imp/rules/rule_editor_clearance_silk_exp_copper.cpp\
 	src/imp/rules/rule_editor_track_width.cpp\
@@ -271,6 +305,7 @@
 	src/imp/rules/rule_editor_plane.cpp\
 	src/imp/rules/rule_editor_diffpair.cpp\
 	src/imp/rules/rule_editor_package_checks.cpp\
+	src/imp/rules/rule_editor_clearance_copper_keepout.cpp\
 	src/rules/rules_with_core.cpp\
 	src/rules/cache.cpp\
 	src/board/board_rules_check.cpp\
@@ -281,23 +316,27 @@
 	src/imp/symbol_preview/preview_box.cpp\
 	src/util/gtk_util.cpp\
 	src/imp/fab_output_window.cpp\
+	src/imp/bom_export_window.cpp\
 	src/imp/3d_view.cpp\
 	src/imp/step_export_window.cpp\
+	src/imp/tuning_window.cpp\
 	src/canvas3d/canvas3d.cpp\
 	src/canvas3d/cover.cpp\
 	src/canvas3d/wall.cpp\
 	src/canvas3d/face.cpp\
 	src/canvas3d/background.cpp\
 	src/imp/header_button.cpp\
-	src/imp/preferences.cpp\
-	src/imp/preferences_window.cpp\
-	src/imp/preferences_window_keys.cpp\
+	src/preferences/preferences.cpp\
 	src/pool/pool_cached.cpp\
 	src/canvas/canvas_pads.cpp\
 	src/util/window_state_store.cpp\
 	src/widgets/board_display_options.cpp\
 	src/widgets/log_window.cpp\
 	src/widgets/log_view.cpp\
+	src/imp/hud_util.cpp\
+	src/util/pool_completion.cpp\
+	src/export_bom/export_bom.cpp\
+	src/widgets/unplaced_box.cpp\
 
 SRC_ROUTER = \
 	3rd_party/router/router/pns_router.cpp \
@@ -327,51 +366,6 @@
 	3rd_party/router/router/pns_routing_settings.cpp \
 	3rd_party/router/router/pns_sizes_settings.cpp \
 	3rd_party/router/common/geometry/shape_line_chain.cpp\
+	3rd_party/router/common/geometry/shape_arc.cpp\
 	3rd_party/router/common/geometry/shape.cpp \
 	3rd_party/router/common/geometry/shape_collisions.cpp\
-	3rd_party/router/common/geometry/seg.cpp\
-	3rd_party/router/common/math/math_util.cpp\
-	3rd_party/router/wx_compat.cpp\
-	src/router/pns_horizon_iface.cpp\
-	src/core/tool_route_track_interactive.cpp\
-
-
-SRC_POOL_UTIL = \
-	src/pool-util/util_main.cpp\
-	src/pool-update/pool-update.cpp\
-	src/pool-update/graph.cpp
-
-SRC_POOL_UPDATE_PARA = \
-	src/pool-update-parametric/pool-update-parametric.cpp\
-	
-SRC_PRJ_UTIL = \
-	src/prj-util/util_main.cpp
-
-SRC_PRJ_MGR = \
-	src/prj-mgr/prj-mgr-main.cpp\
-	src/prj-mgr/prj-mgr-app.cpp\
-	src/prj-mgr/prj-mgr-app_win.cpp\
-	src/prj-mgr/prj-mgr-prefs.cpp\
-	src/prj-mgr/pool_cache_window.cpp\
-	src/util/editor_process.cpp\
-	src/prj-mgr/part_browser/part_browser_window.cpp\
-	src/widgets/pool_browser_part.cpp\
-	src/util/sort_controller.cpp\
-	src/widgets/pool_browser.cpp\
-	src/pool-update/pool-update.cpp\
-	src/pool-update/graph.cpp\
-	src/widgets/cell_renderer_layer_display.cpp\
-	src/pool/pool_cached.cpp\
-	src/util/gtk_util.cpp\
-	src/util/window_state_store.cpp\
-	src/widgets/recent_item_box.cpp\
-	src/util/recent_util.cpp\
-	src/widgets/part_preview.cpp\
-	src/widgets/entity_preview.cpp\
-	src/widgets/preview_canvas.cpp\
-	src/widgets/preview_base.cpp\
-	$(SRC_CANVAS)\
-
-SRC_POOL_MGR = \
-	src/pool-mgr/pool-mgr-main.cpp\
-	src/pool-mgr/pool-mgr-app.cpp\

=== debian/changelog ===
horizon-eda (0.20181108-1) unstable; urgency=medium

  * New upstream version
  * Set rules-requires-root, now I understand it.

 -- Wookey <wookey@debian.org>  Thu, 08 Nov 2018 02:45:24 +0000

horizon-eda (0.20180426-1) unstable; urgency=medium

  * New upstream release
  * Fixes gcc-6 builds (builds in stable)
  * Use system nlohmann-json-dev

 -- Wookey <wookey@debian.org>  Thu, 26 Apr 2018 00:36:41 +0100

horizon-eda (0.20180331-4) unstable; urgency=medium

  * Correct description formatting (Closes: #894693)

 -- Wookey <wookey@debian.org>  Thu, 05 Apr 2018 02:59:23 +0100

=== debian/control ===
Source: horizon-eda
Section: electronics
Priority: optional
Maintainer: Wookey <wookey@debian.org>
Build-Depends: debhelper (>=10), doxygen,
 libyaml-cpp-dev, libsqlite3-dev, librsvg2-dev, libcairomm-1.0-dev,
 libepoxy-dev, libgtkmm-3.0-dev, uuid-dev, libboost-dev, libzmq5,
 libzmq3-dev, libglm-dev, libgit2-dev, libcurl4-gnutls-dev, 
 liboce-ocaf-dev, libdxflib-dev, nlohmann-json3-dev (>= 3.1)
Standards-Version: 4.3.0
Homepage: https://github.com/carrotIndustries/horizon
#Vcs-Git: git://anonscm.debian.org/collab-maint/horizon.git
#Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/horizon.git
Rules-requires-root: no 

Package: horizon-eda
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: EDA layout and schematic application
 Horizon is an Electronic Design Automation (EDA) tool for circuit
 board design. It manages the full design flow from schematic entry
 to gerber export. The main differentiator from KiCAD is a different
 (more sane) part library design. It is quite new software in 2018
 so may have rough edges but is already very capable.
 .
 Notable features:
 * Sane library management
 * Unified editor for everything from symbol to board
 * Netlist-aware schematic editor
 * KiCad's awesome interactive router
 * Lag- and glitch-free rendering
 * Rule-based DRC
 * Undo/redo
 * Copy/paste for some objects
 * Builds and runs on Linux and Windows

## horizon-eda 0.20191119

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,11 @@
 PKGCONFIG=pkg-config
-
-all: horizon-imp horizon-pool horizon-prj horizon-pool-update-parametric horizon-eda
+BUILDDIR = build
+PROGS    = $(addprefix $(BUILDDIR)/horizon-,imp pool prj eda)
+
+all: $(PROGS)
+pymodule: $(BUILDDIR)/horizon.so
+
+.PHONY: all pymodule
 
 SRC_COMMON = \
 	src/util/uuid.cpp \
@@ -35,6 +40,7 @@
 	src/schematic/power_symbol.cpp\
 	src/schematic/schematic_rules.cpp\
 	src/schematic/rule_single_pin_net.cpp\
+	src/common/pdf_export_settings.cpp\
 	src/pool/padstack.cpp\
 	src/common/polygon.cpp\
 	src/common/hole.cpp\
@@ -65,6 +71,7 @@
 	src/board/airwires.cpp\
 	src/board/fab_output_settings.cpp\
 	src/board/board_hole.cpp\
+	src/board/connection_line.cpp\
 	src/pool/pool.cpp \
 	src/util/placement.cpp\
 	src/util/util.cpp\
@@ -72,8 +79,7 @@
 	src/common/object_descr.cpp\
 	src/block/net_class.cpp\
 	src/project/project.cpp\
-	src/resources.cpp\
-	src/gitversion.cpp\
+	src/util/version.cpp\
 	src/rules/rules.cpp\
 	src/rules/rule.cpp\
 	src/rules/rule_descr.cpp\
@@ -88,10 +94,13 @@
 	src/frame/frame.cpp\
 	src/common/keepout.cpp\
 	src/board/board_layers.cpp\
+	src/pool/pool_parametric.cpp \
 
 ifeq ($(OS),Windows_NT)
     SRC_COMMON += src/util/uuid_win32.cpp
 endif
+SRC_COMMON_GEN += $(GENDIR)/resources.cpp
+SRC_COMMON_GEN += $(GENDIR)/version_gen.cpp
 
 
 SRC_CANVAS = \
@@ -107,6 +116,7 @@
 	src/canvas/hershey_fonts.cpp \
 	src/canvas/drag_selection.cpp \
 	src/canvas/selectables.cpp \
+	src/canvas/selectables_renderer.cpp \
 	src/canvas/hover_prelight.cpp\
 	src/canvas/triangle.cpp\
 	src/canvas/image.cpp\
@@ -124,6 +134,7 @@
 	src/util/msd.cpp\
 	src/util/msd_animator.cpp\
 	src/canvas/appearance.cpp\
+	src/canvas/bitmap_font_util.cpp\
 
 SRC_IMP = \
 	src/imp/imp_main.cpp \
@@ -142,6 +153,7 @@
 	src/imp/action_catalog.cpp\
 	$(SRC_CANVAS) \
 	src/core/core.cpp \
+	src/core/create_tool.cpp \
 	src/core/core_properties.cpp\
 	src/core/tool_move.cpp\
 	src/core/tool_place_junction.cpp\
@@ -191,7 +203,6 @@
 	src/core/tool_update_all_planes.cpp\
 	src/core/tool_draw_dimension.cpp\
 	src/core/tool_set_diffpair.cpp\
-	src/core/tool_select_more.cpp\
 	src/core/tool_set_via_net.cpp\
 	src/core/tool_lock.cpp\
 	src/core/tool_add_vertex.cpp\
@@ -208,6 +219,19 @@
 	src/core/tool_set_nc_all.cpp\
 	src/core/tool_set_nc.cpp\
 	src/core/tool_add_keepout.cpp\
+	src/core/tool_helper_draw_net_setting.cpp\
+	src/core/tool_helper_get_symbol.cpp\
+	src/core/tool_change_symbol.cpp\
+	src/core/tool_place_refdes_and_value.cpp\
+	src/core/tool_helper_restrict.cpp\
+	src/core/tool_draw_polygon_circle.cpp\
+	src/core/tool_draw_connection_line.cpp\
+	src/core/tool_backannotate_connection_lines.cpp\
+	src/core/tool_import_kicad_package.cpp\
+	src/core/tool_smash_silkscreen_graphics.cpp\
+	src/core/tool_renumber_pads.cpp\
+	src/core/tool_fix.cpp\
+	src/core/tool_polygon_to_line_loop.cpp\
 	src/core/cores.cpp\
 	src/core/clipboard.cpp\
 	src/core/buffer.cpp\
@@ -217,7 +241,7 @@
 	src/dialogs/ask_net_merge.cpp\
 	src/dialogs/ask_delete_component.cpp\
 	src/dialogs/select_net.cpp\
-	src/dialogs/symbol_pin_names.cpp\
+	src/dialogs/symbol_pin_names_window.cpp\
 	src/dialogs/manage_buses.cpp\
 	src/dialogs/ask_datum.cpp\
 	src/dialogs/ask_datum_string.cpp\
@@ -238,6 +262,10 @@
 	src/dialogs/edit_board_hole.cpp\
 	src/dialogs/edit_frame.cpp\
 	src/dialogs/edit_keepout.cpp\
+	src/dialogs/select_group_tag.cpp\
+	src/dialogs/ask_datum_angle.cpp\
+	src/dialogs/tool_window.cpp\
+	src/dialogs/renumber_pads_window.cpp\
 	src/util/sort_controller.cpp\
 	src/core/core_symbol.cpp\
 	src/core/core_schematic.cpp\
@@ -261,7 +289,11 @@
 	src/widgets/pool_browser.cpp\
 	src/widgets/component_selector.cpp\
 	src/widgets/component_button.cpp\
+	src/widgets/preview_canvas.cpp\
+	src/widgets/about_dialog.cpp\
+	src/export_pdf/canvas_pdf.cpp\
 	src/export_pdf/export_pdf.cpp\
+	src/export_pdf/export_pdf_board.cpp\
 	src/imp/keyseq_dialog.cpp\
 	src/canvas/canvas_patch.cpp\
 	src/export_gerber/gerber_writer.cpp\
@@ -276,6 +308,8 @@
 	src/imp/footprint_generator/footprint_generator_quad.cpp\
 	src/imp/footprint_generator/footprint_generator_grid.cpp\
 	src/imp/footprint_generator/svg_overlay.cpp\
+	src/imp/footprint_generator/footprint_generator_footag.cpp\
+	src/imp/footprint_generator/footag/display.cpp\
 	src/imp/imp_interface.cpp\
 	src/imp/parameter_window.cpp\
 	src/widgets/pool_browser_part.cpp\
@@ -286,6 +320,7 @@
 	src/widgets/pool_browser_unit.cpp\
 	src/widgets/pool_browser_symbol.cpp\
 	src/widgets/pool_browser_frame.cpp\
+	src/widgets/pool_browser_stockinfo.cpp\
 	src/widgets/plane_editor.cpp\
 	src/widgets/title_block_values_editor.cpp\
 	3rd_party/dxflib/dl_dxf.cpp\
@@ -317,6 +352,7 @@
 	src/util/gtk_util.cpp\
 	src/imp/fab_output_window.cpp\
 	src/imp/bom_export_window.cpp\
+	src/imp/pdf_export_window.cpp\
 	src/imp/3d_view.cpp\
 	src/imp/step_export_window.cpp\
 	src/imp/tuning_window.cpp\
@@ -337,35 +373,7 @@
 	src/util/pool_completion.cpp\
 	src/export_bom/export_bom.cpp\
 	src/widgets/unplaced_box.cpp\
-
-SRC_ROUTER = \
-	3rd_party/router/router/pns_router.cpp \
-	3rd_party/router/router/pns_item.cpp \
-	3rd_party/router/router/pns_node.cpp \
-	3rd_party/router/router/pns_solid.cpp \
-	3rd_party/router/router/pns_optimizer.cpp \
-	3rd_party/router/router/pns_topology.cpp \
-	3rd_party/router/router/pns_walkaround.cpp \
-	3rd_party/router/router/pns_utils.cpp \
-	3rd_party/router/router/pns_algo_base.cpp \
-	3rd_party/router/router/pns_diff_pair_placer.cpp \
-	3rd_party/router/router/pns_diff_pair.cpp \
-	3rd_party/router/router/pns_dp_meander_placer.cpp\
-	3rd_party/router/router/pns_dragger.cpp\
-	3rd_party/router/router/pns_itemset.cpp \
-	3rd_party/router/router/pns_line_placer.cpp \
-	3rd_party/router/router/pns_line.cpp \
-	3rd_party/router/router/pns_via.cpp \
-	3rd_party/router/router/pns_logger.cpp \
-	3rd_party/router/router/pns_meander_placer_base.cpp\
-	3rd_party/router/router/pns_meander_placer.cpp\
-	3rd_party/router/router/pns_meander_skew_placer.cpp\
-	3rd_party/router/router/pns_meander.cpp\
-	3rd_party/router/router/pns_shove.cpp \
-	3rd_party/router/router/time_limit.cpp \
-	3rd_party/router/router/pns_routing_settings.cpp \
-	3rd_party/router/router/pns_sizes_settings.cpp \
-	3rd_party/router/common/geometry/shape_line_chain.cpp\
-	3rd_party/router/common/geometry/shape_arc.cpp\
-	3rd_party/router/common/geometry/shape.cpp \
-	3rd_party/router/common/geometry/shape_collisions.cpp\
+	src/widgets/tag_entry.cpp\
+	src/widgets/layer_help_box.cpp\
+	src/preferences/preferences_util.cpp\
+	src/preferences/preferences_provider.cpp\

=== debian/changelog ===
horizon-eda (0.20191119-1) unstable; urgency=medium

  * New git snapshot
  * Add myself as maintainer and Wookey as uploader
  * Update patches
  * Add manpage for horizon-eda

 -- Uwe Steinmann <steinm@debian.org>  Wed, 20 Nov 2019 06:37:30 +0100

## horizon-eda 0.20191210

=== debian/changelog ===
horizon-eda (0.20191210-1) unstable; urgency=medium

  * New git snapshot

 -- Uwe Steinmann <steinm@debian.org>  Wed, 11 Dec 2019 08:29:46 +0100

=== debian/control ===
Source: horizon-eda
Section: electronics
Priority: optional
Maintainer: Uwe Steinmann <steinm@debian.org>
Uploaders: Wookey <wookey@debian.org>
Build-Depends: debhelper (>= 10), doxygen,
 libyaml-cpp-dev, libsqlite3-dev, util-linux (>= 2.29), librsvg2-dev, libcairomm-1.0-dev,
 libepoxy-dev, libgtkmm-3.0-dev, uuid-dev, libboost-dev, libzmq5,
 libzmq3-dev, libglm-dev, libgit2-dev, libcurl4-gnutls-dev,
 liboce-ocaf-dev, libdxflib-dev,
 libzip-dev, libglib2.0-dev, libpodofo-dev
Standards-Version: 4.3.0
Homepage: https://github.com/carrotIndustries/horizon
Vcs-Git: https://www.github.com/carrotIndustries/horizon
Vcs-Browser: https://www.github.com/carrotIndustries/horizon
Rules-requires-root: no

Package: horizon-eda
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: EDA layout and schematic application
 Horizon is an Electronic Design Automation (EDA) tool for circuit
 board design. It manages the full design flow from schematic entry
 to gerber export. The main differentiator from KiCAD is a different
 (more sane) part library design. It is quite new software in 2018
 so may have rough edges but is already very capable.
 .
 Notable features:
  * Sane library management
  * Unified editor for everything from symbol to board
  * Netlist-aware schematic editor
  * KiCad's awesome interactive router
  * Lag- and glitch-free rendering
  * Rule-based DRC
  * Undo/redo
  * Copy/paste for some objects
  * Builds and runs on Linux and Windows

## horizon-eda 0.20191213

=== debian/changelog ===
horizon-eda (0.20191213-1) unstable; urgency=medium

  * New git snapshot (equals version 0.9.5)
  * set new Homepage in control file
  * add copyright for metainfo.xml file

 -- Uwe Steinmann <steinm@debian.org>  Fri, 13 Dec 2019 07:00:09 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  liboce-ocaf-dev, libdxflib-dev,
  libzip-dev, libglib2.0-dev, libpodofo-dev
 Standards-Version: 4.3.0
-Homepage: https://github.com/carrotIndustries/horizon
+Homepage: https://horizon-eda.org/
 Vcs-Git: https://www.github.com/carrotIndustries/horizon
 Vcs-Browser: https://www.github.com/carrotIndustries/horizon
 Rules-requires-root: no

=== debian/rules ===
--- 
+++ 
@@ -11,22 +11,15 @@
 #export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
 # package maintainers to append LDFLAGS
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
-
+export PREFIX=/usr
 
 %:
-	dh $@ 
+	dh $@
 
 
 override_dh_auto_build:
 	doxygen doxygen.config
 	dh_auto_build
-
-override_dh_auto_install:
-	dh_install
-ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
-	# should be $(PACKAGE)/$(PREFIX)
-	strip $(CURDIR)/debian/horizon-eda/usr/bin/*
-endif
 
 override_dh_clean:
 	-rm -r docs

## horizon-eda 0.20200117

=== debian/changelog ===
horizon-eda (0.20200117-1) unstable; urgency=medium

  * New git snapshot (equals version 0.9.7)
  * Remove Vcs-Git and Vcs-Control
  * install collage.png for 02-local-collage patch
  * remove src/preferences/color_presets.json in debian/rules
  * Bump standards version to 4.4.0 (no changes required)

 -- Uwe Steinmann <steinm@debian.org>  Fri, 17 Jan 2020 08:39:17 +0100

## horizon-eda 1.0.0

=== Makefile ===
--- 
+++ 
@@ -72,6 +72,7 @@
 	src/board/fab_output_settings.cpp\
 	src/board/board_hole.cpp\
 	src/board/connection_line.cpp\
+	src/board/step_export_settings.cpp\
 	src/pool/pool.cpp \
 	src/util/placement.cpp\
 	src/util/util.cpp\
@@ -376,4 +377,3 @@
 	src/widgets/tag_entry.cpp\
 	src/widgets/layer_help_box.cpp\
 	src/preferences/preferences_util.cpp\
-	src/preferences/preferences_provider.cpp\

=== debian/changelog ===
horizon-eda (1.0.0-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Mar 2020 15:04:54 +0100

horizon-eda (1.0.0-1) unstable; urgency=medium

  * New upstream version

 -- Uwe Steinmann <steinm@debian.org>  Wed, 29 Jan 2020 21:29:38 +0100

=== debian/control ===
--- 
+++ 
@@ -9,10 +9,8 @@
  libzmq3-dev, libglm-dev, libgit2-dev, libcurl4-gnutls-dev,
  liboce-ocaf-dev, libdxflib-dev,
  libzip-dev, libglib2.0-dev, libpodofo-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://horizon-eda.org/
-Vcs-Git: https://www.github.com/carrotIndustries/horizon
-Vcs-Browser: https://www.github.com/carrotIndustries/horizon
 Rules-requires-root: no
 
 Package: horizon-eda

=== debian/rules ===
--- 
+++ 
@@ -23,6 +23,7 @@
 
 override_dh_clean:
 	-rm -r docs
+	-rm -f src/preferences/color_presets.json
 	dh_clean
 
 #generate a version file from the git repo.

## horizon-eda 1.0.91

=== debian/changelog ===
horizon-eda (1.0.91-1) unstable; urgency=medium

  * New upstream version

 -- Uwe Steinmann <steinm@debian.org>  Mon, 27 Apr 2020 16:26:33 +0200

## horizon-eda 1.1.0

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 PKGCONFIG=pkg-config
 BUILDDIR = build
-PROGS    = $(addprefix $(BUILDDIR)/horizon-,imp pool prj eda)
+PROGS    = $(addprefix $(BUILDDIR)/horizon-,imp eda)
 
 all: $(PROGS)
 pymodule: $(BUILDDIR)/horizon.so
@@ -53,6 +53,7 @@
 	src/board/board.cpp\
 	src/board/board_package.cpp\
 	src/board/track.cpp\
+	src/board/airwire.cpp\
 	src/board/via_padstack_provider.cpp\
 	src/board/via.cpp\
 	src/board/plane.cpp\
@@ -73,6 +74,8 @@
 	src/board/board_hole.cpp\
 	src/board/connection_line.cpp\
 	src/board/step_export_settings.cpp\
+	src/board/pnp_export_settings.cpp\
+	src/board/pnp.cpp\
 	src/pool/pool.cpp \
 	src/util/placement.cpp\
 	src/util/util.cpp\
@@ -96,6 +99,9 @@
 	src/common/keepout.cpp\
 	src/board/board_layers.cpp\
 	src/pool/pool_parametric.cpp \
+	src/board/included_board.cpp \
+	src/board/board_panel.cpp \
+	src/pool/pool_cached.cpp\
 
 ifeq ($(OS),Windows_NT)
     SRC_COMMON += src/util/uuid_win32.cpp
@@ -146,6 +152,7 @@
 	src/imp/imp_schematic.cpp\
 	src/imp/imp_padstack.cpp\
 	src/imp/imp_package.cpp\
+	src/imp/imp_package_3d.cpp\
 	src/imp/imp_board.cpp\
 	src/imp/imp_frame.cpp\
 	src/imp/tool_popover.cpp\
@@ -153,94 +160,102 @@
 	src/imp/action.cpp\
 	src/imp/action_catalog.cpp\
 	$(SRC_CANVAS) \
+	src/document/document.cpp \
+	src/document/document_board.cpp \
 	src/core/core.cpp \
+	src/core/tool.cpp \
 	src/core/create_tool.cpp \
 	src/core/core_properties.cpp\
-	src/core/tool_move.cpp\
-	src/core/tool_place_junction.cpp\
-	src/core/tool_draw_line.cpp\
-	src/core/tool_delete.cpp\
-	src/core/tool_draw_arc.cpp\
-	src/core/tool_map_pin.cpp\
-	src/core/tool_map_symbol.cpp\
-	src/core/tool_draw_line_net.cpp\
-	src/core/tool_place_text.cpp\
-	src/core/tool_place_net_label.cpp\
-	src/core/tool_disconnect.cpp\
-	src/core/tool_bend_line_net.cpp\
-	src/core/tool_move_net_segment.cpp\
-	src/core/tool_place_power_symbol.cpp\
-	src/core/tool_edit_symbol_pin_names.cpp\
-	src/core/tool_place_bus_label.cpp\
-	src/core/tool_place_bus_ripper.cpp\
-	src/core/tool_manage_buses.cpp\
-	src/core/tool_draw_polygon.cpp\
-	src/core/tool_enter_datum.cpp\
-	src/core/tool_place_hole.cpp\
-	src/core/tool_place_pad.cpp\
-	src/core/tool_paste.cpp\
-	src/core/tool_assign_part.cpp\
-	src/core/tool_map_package.cpp\
-	src/core/tool_draw_track.cpp\
-	src/core/tool_place_via.cpp\
-	src/core/tool_route_track.cpp\
-	src/core/tool_drag_keep_slope.cpp\
-	src/core/tool_add_part.cpp\
-	src/core/tool_smash.cpp\
-	src/core/tool_place_shape.cpp\
-	src/core/tool_edit_shape.cpp\
-	src/core/tool_import_dxf.cpp\
-	src/core/tool_edit_parameter_program.cpp\
-	src/core/tool_edit_pad_parameter_set.cpp\
-	src/core/tool_draw_polygon_rectangle.cpp\
-	src/core/tool_draw_line_rectangle.cpp\
-	src/core/tool_edit_line_rectangle.cpp\
-	src/core/tool_helper_map_symbol.cpp\
-	src/core/tool_helper_move.cpp\
-	src/core/tool_helper_merge.cpp\
-	src/core/tool_edit_via.cpp\
-	src/core/tool_rotate_arbitrary.cpp\
-	src/core/tool_edit_plane.cpp\
-	src/core/tool_update_all_planes.cpp\
-	src/core/tool_draw_dimension.cpp\
-	src/core/tool_set_diffpair.cpp\
-	src/core/tool_set_via_net.cpp\
-	src/core/tool_lock.cpp\
-	src/core/tool_add_vertex.cpp\
-	src/core/tool_place_board_hole.cpp\
-	src/core/tool_edit_board_hole.cpp\
-	src/core/tool_generate_courtyard.cpp\
-	src/core/tool_set_group.cpp\
-	src/core/tool_copy_placement.cpp\
-	src/core/tool_copy_tracks.cpp\
-	src/core/tool_swap_nets.cpp\
-	src/core/tool_line_loop_to_polygon.cpp\
-	src/core/tool_change_unit.cpp\
-	src/core/tool_helper_line_width_setting.cpp\
-	src/core/tool_set_nc_all.cpp\
-	src/core/tool_set_nc.cpp\
-	src/core/tool_add_keepout.cpp\
-	src/core/tool_helper_draw_net_setting.cpp\
-	src/core/tool_helper_get_symbol.cpp\
-	src/core/tool_change_symbol.cpp\
-	src/core/tool_place_refdes_and_value.cpp\
-	src/core/tool_helper_restrict.cpp\
-	src/core/tool_draw_polygon_circle.cpp\
-	src/core/tool_draw_connection_line.cpp\
-	src/core/tool_backannotate_connection_lines.cpp\
-	src/core/tool_import_kicad_package.cpp\
-	src/core/tool_smash_silkscreen_graphics.cpp\
-	src/core/tool_renumber_pads.cpp\
-	src/core/tool_fix.cpp\
-	src/core/tool_polygon_to_line_loop.cpp\
-	src/core/cores.cpp\
+	src/core/tools/tool_move.cpp\
+	src/core/tools/tool_place_junction.cpp\
+	src/core/tools/tool_draw_line.cpp\
+	src/core/tools/tool_delete.cpp\
+	src/core/tools/tool_draw_arc.cpp\
+	src/core/tools/tool_map_pin.cpp\
+	src/core/tools/tool_map_symbol.cpp\
+	src/core/tools/tool_draw_line_net.cpp\
+	src/core/tools/tool_place_text.cpp\
+	src/core/tools/tool_place_net_label.cpp\
+	src/core/tools/tool_disconnect.cpp\
+	src/core/tools/tool_bend_line_net.cpp\
+	src/core/tools/tool_move_net_segment.cpp\
+	src/core/tools/tool_place_power_symbol.cpp\
+	src/core/tools/tool_edit_symbol_pin_names.cpp\
+	src/core/tools/tool_place_bus_label.cpp\
+	src/core/tools/tool_place_bus_ripper.cpp\
+	src/core/tools/tool_manage_buses.cpp\
+	src/core/tools/tool_draw_polygon.cpp\
+	src/core/tools/tool_enter_datum.cpp\
+	src/core/tools/tool_place_hole.cpp\
+	src/core/tools/tool_place_pad.cpp\
+	src/core/tools/tool_paste.cpp\
+	src/core/tools/tool_assign_part.cpp\
+	src/core/tools/tool_map_package.cpp\
+	src/core/tools/tool_draw_track.cpp\
+	src/core/tools/tool_place_via.cpp\
+	src/core/tools/tool_route_track.cpp\
+	src/core/tools/tool_drag_keep_slope.cpp\
+	src/core/tools/tool_add_part.cpp\
+	src/core/tools/tool_smash.cpp\
+	src/core/tools/tool_place_shape.cpp\
+	src/core/tools/tool_edit_shape.cpp\
+	src/core/tools/tool_import_dxf.cpp\
+	src/core/tools/tool_edit_pad_parameter_set.cpp\
+	src/core/tools/tool_draw_polygon_rectangle.cpp\
+	src/core/tools/tool_draw_line_rectangle.cpp\
+	src/core/tools/tool_edit_line_rectangle.cpp\
+	src/core/tools/tool_helper_map_symbol.cpp\
+	src/core/tools/tool_helper_move.cpp\
+	src/core/tools/tool_helper_merge.cpp\
+	src/core/tools/tool_edit_via.cpp\
+	src/core/tools/tool_rotate_arbitrary.cpp\
+	src/core/tools/tool_edit_plane.cpp\
+	src/core/tools/tool_update_all_planes.cpp\
+	src/core/tools/tool_draw_dimension.cpp\
+	src/core/tools/tool_set_diffpair.cpp\
+	src/core/tools/tool_set_via_net.cpp\
+	src/core/tools/tool_lock.cpp\
+	src/core/tools/tool_add_vertex.cpp\
+	src/core/tools/tool_place_board_hole.cpp\
+	src/core/tools/tool_edit_board_hole.cpp\
+	src/core/tools/tool_generate_courtyard.cpp\
+	src/core/tools/tool_generate_silkscreen.cpp\
+	src/core/tools/tool_set_group.cpp\
+	src/core/tools/tool_copy_placement.cpp\
+	src/core/tools/tool_copy_tracks.cpp\
+	src/core/tools/tool_swap_nets.cpp\
+	src/core/tools/tool_line_loop_to_polygon.cpp\
+	src/core/tools/tool_change_unit.cpp\
+	src/core/tools/tool_helper_line_width_setting.cpp\
+	src/core/tools/tool_set_nc_all.cpp\
+	src/core/tools/tool_set_nc.cpp\
+	src/core/tools/tool_add_keepout.cpp\
+	src/core/tools/tool_helper_draw_net_setting.cpp\
+	src/core/tools/tool_helper_get_symbol.cpp\
+	src/core/tools/tool_change_symbol.cpp\
+	src/core/tools/tool_place_refdes_and_value.cpp\
+	src/core/tools/tool_helper_restrict.cpp\
+	src/core/tools/tool_draw_polygon_circle.cpp\
+	src/core/tools/tool_draw_connection_line.cpp\
+	src/core/tools/tool_backannotate_connection_lines.cpp\
+	src/core/tools/tool_import_kicad_package.cpp\
+	src/core/tools/tool_smash_silkscreen_graphics.cpp\
+	src/core/tools/tool_renumber_pads.cpp\
+	src/core/tools/tool_fix.cpp\
+	src/core/tools/tool_nopopulate.cpp\
+	src/core/tools/tool_polygon_to_line_loop.cpp\
+	src/core/tools/tool_place_board_panel.cpp\
+	src/core/tools/tool_smash_panel_outline.cpp\
+	src/core/tools/tool_smash_package_outline.cpp\
+	src/core/tools/tool_resize_symbol.cpp\
+	src/core/tools/tool_round_off_vertex.cpp\
+	src/document/documents.cpp\
 	src/core/clipboard.cpp\
 	src/core/buffer.cpp\
 	src/dialogs/map_pin.cpp\
 	src/dialogs/map_symbol.cpp\
 	src/dialogs/map_package.cpp\
 	src/dialogs/ask_net_merge.cpp\
-	src/dialogs/ask_delete_component.cpp\
 	src/dialogs/select_net.cpp\
 	src/dialogs/symbol_pin_names_window.cpp\
 	src/dialogs/manage_buses.cpp\
@@ -252,8 +267,6 @@
 	src/dialogs/edit_shape.cpp\
 	src/dialogs/manage_net_classes.cpp\
 	src/dialogs/manage_power_nets.cpp\
-	src/dialogs/edit_parameter_program.cpp\
-	src/dialogs/edit_parameter_set.cpp\
 	src/dialogs/edit_pad_parameter_set.cpp\
 	src/dialogs/edit_via.cpp\
 	src/dialogs/pool_browser_dialog.cpp\
@@ -267,6 +280,10 @@
 	src/dialogs/ask_datum_angle.cpp\
 	src/dialogs/tool_window.cpp\
 	src/dialogs/renumber_pads_window.cpp\
+	src/dialogs/generate_silkscreen_window.cpp\
+	src/dialogs/select_included_board.cpp\
+	src/dialogs/manage_included_boards.cpp\
+	src/dialogs/enter_datum_window.cpp\
 	src/util/sort_controller.cpp\
 	src/core/core_symbol.cpp\
 	src/core/core_schematic.cpp\
@@ -292,6 +309,7 @@
 	src/widgets/component_button.cpp\
 	src/widgets/preview_canvas.cpp\
 	src/widgets/about_dialog.cpp\
+	src/widgets/project_meta_editor.cpp\
 	src/export_pdf/canvas_pdf.cpp\
 	src/export_pdf/export_pdf.cpp\
 	src/export_pdf/export_pdf_board.cpp\
@@ -342,38 +360,3 @@
 	src/imp/rules/rule_editor_diffpair.cpp\
 	src/imp/rules/rule_editor_package_checks.cpp\
 	src/imp/rules/rule_editor_clearance_copper_keepout.cpp\
-	src/rules/rules_with_core.cpp\
-	src/rules/cache.cpp\
-	src/board/board_rules_check.cpp\
-	src/schematic/schematic_rules_check.cpp\
-	src/package/package_rules_check.cpp\
-	src/board/plane_update.cpp\
-	src/imp/symbol_preview/symbol_preview_window.cpp\
-	src/imp/symbol_preview/preview_box.cpp\
-	src/util/gtk_util.cpp\
-	src/imp/fab_output_window.cpp\
-	src/imp/bom_export_window.cpp\
-	src/imp/pdf_export_window.cpp\
-	src/imp/3d_view.cpp\
-	src/imp/step_export_window.cpp\
-	src/imp/tuning_window.cpp\
-	src/canvas3d/canvas3d.cpp\
-	src/canvas3d/cover.cpp\
-	src/canvas3d/wall.cpp\
-	src/canvas3d/face.cpp\
-	src/canvas3d/background.cpp\
-	src/imp/header_button.cpp\
-	src/preferences/preferences.cpp\
-	src/pool/pool_cached.cpp\
-	src/canvas/canvas_pads.cpp\
-	src/util/window_state_store.cpp\
-	src/widgets/board_display_options.cpp\
-	src/widgets/log_window.cpp\
-	src/widgets/log_view.cpp\
-	src/imp/hud_util.cpp\
-	src/util/pool_completion.cpp\
-	src/export_bom/export_bom.cpp\
-	src/widgets/unplaced_box.cpp\
-	src/widgets/tag_entry.cpp\
-	src/widgets/layer_help_box.cpp\
-	src/preferences/preferences_util.cpp\

=== debian/changelog ===
horizon-eda (1.1.0-1build1) groovy; urgency=medium

  * Rebuild against new yaml-cpp.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 29 May 2020 14:20:02 +0200

horizon-eda (1.1.0-1) unstable; urgency=medium

  * New upstream version

 -- Uwe Steinmann <steinm@debian.org>  Thu, 30 Apr 2020 07:53:01 +0200
